iOS 7.0

Last Updated: Sep 25, 2013 04:22AM EDT
We’ll soon be releasing an update to Blio that will fully support iOS7. If you’re planning to upgrade your iPhone or iPad to the iOS7 release, you will experience issues with the app when trying to open books.

Once the new version is ready, your app should update automatically unless you have changed the iTunes settings to update manually. In that case, be on the lookout for a prompt that will let you know when Blio is ready to update. In the meantime, we apologize for any inconvenience this causes.

UPDATE:
The build has been approved by iTunes. Please download the update to Blio 4.0 from the app store to resolve issues with iOS 7.0.

Contact Us